Create a CustomerPaymentAccountCopy Pagepost https://api.instellix.io/v2/customer-payment-accountsCreate a new CustomerPaymentAccount for a specific debtorBody ParamsA CustomerPaymentAccount with payment details that is assigned to a specific debtorIdent.accountCreationDatedate-time | nullDate when the payment account was created at the payment provider. Required e.g. for some external mandate managements in the SEPA environment.accountHolderNamestring | nullAccount holder name used for the charging. Size must be between 0 and 255.debtorIdentstringrequiredlength between 1 and 100Unique external reference to identify the Debtor. Must have size between 1 and 100 and match with the regular expression '[a-zA-Z0-9_.~-]{1,100}'.displayNamestring | nullName for the customer payment account displayed on invoices. Do not send full payment data like credit card no, IBAN, etc. (e.g. "**** **** *** *234"). Size must be between 0 and 255.identstring | nullUnique identifier of a customer payment account, autogenerated by Nitrobox if omitted. Must have size between 1 and 100 and match with the regular expression '[a-zA-Z0-9_.~-]{1,100}'.merchantPaymentGatewayIdentstringrequiredlength between 1 and 100Unique reference to identify the merchant payment gateway that is associated with this account. Must not be null. Must have size between 1 and 100 and match with the regular expression '[a-zA-Z0-9_.~-]{1,100}'.namestring | nulldeprecatedDEPRECATED. Name of the customer payment account. Size must be between 0 and 255.paymentCardTypestring | nullThe vendor of the credit card. Must be one of: VISAMASTERCARDJCBAMERICANEXPRESSDINERSCLUBOTHERYANDEXBANKCARDDISCOVERCARDCARTE_BANCAIREpaymentMethodstring | nullPayment method associated with the customerPaymentAccount via the paymentProviderReference. The specification is only for further explanation and has no effect on the actual selection of the payment method. This is determined entirely by specifying the paymentProviderReference or additionally by the paymentMethodReference. Must be one of: DIRECT_DEBITCREDIT_CARDPAY_PALpaymentMethodReferencestring | nullExternal reference to identify the authorization or mandate of the payment method at the payment provider. This is optional because some payment providers require a general customer reference (paymentProviderReference) and a payment method reference (paymentMethodReference) in order to process a payment. Size must be between 0 and 255.paymentProviderReferencestringrequiredlength ≤ 255External reference to identify the account at the payment provider. For example the IBAN when using DIRECT_DEBIT as PaymentProviderType. Must not be null. Size must be between 0 and 255.Responses 201The request has been fulfilled, resulting in the creation of a new resource. 4XXerror response for all http error codes in range 4XX 5XXerror response for all http error codes in range 5XXUpdated 27 days ago